tvbrowser.ui.settings.channel

## Class ChannelFilter

- java.lang.Object
- - tvbrowser.ui.settings.channel.ChannelFilter

-     public class ChannelFilter
      extends java.lang.Object

  Filters for a specific Country, Category and/or Channelname

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelFilter()` Creates an empty Filter
    `ChannelFilter(java.lang.String country, int categories, java.lang.String name)` Creates the Filter

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Channel channel)`
    `void` | `setFilter(java.lang.String country, int[] categories, java.lang.String name)` Set the Values in the Filter
    `void` | `setFilter(java.lang.String country, int[] categories, java.lang.String name, java.lang.String plugin)`
    `void` | `setFilter(java.lang.String country, int category, java.lang.String name)` Set the Values in the Filter
    `void` | `setFilter(java.lang.String country, int category, java.lang.String name, java.lang.String plugin)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelFilter

          public ChannelFilter()

      Creates an empty Filter

    - #### ChannelFilter

          public ChannelFilter(java.lang.String country,
                       int categories,
                       java.lang.String name)

      Creates the Filter
      Parameters:
        `country` - Country to use or NULL
        `categories` - Category to use, if < 0 don't use category, if MAX_INT don't use category
        `name` - Name to search for. This is an "and" Search. Search-Terms are separated by Whitespace

  - ### Method Detail

    - #### setFilter

          public void setFilter(java.lang.String country,
                       int category,
                       java.lang.String name)

      Set the Values in the Filter
      Parameters:
        `country` -
        `category` -
        `name` -

    - #### setFilter

          public void setFilter(java.lang.String country,
                       int category,
                       java.lang.String name,
                       java.lang.String plugin)

    - #### setFilter

          public void setFilter(java.lang.String country,
                       int[] categories,
                       java.lang.String name)

      Set the Values in the Filter
      Parameters:
        `country` -
        `categories` -
        `name` -

    - #### setFilter

          public void setFilter(java.lang.String country,
                       int[] categories,
                       java.lang.String name,
                       java.lang.String plugin)

    - #### accept

          public boolean accept(Channel channel)

      Parameters:
        `channel` - Channel to check
      Returns:
        True if Channel is accepted by this Filter

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)